Bug 2146 - crashes on any action in the graphical panel
: crashes on any action in the graphical panel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xine-ui)
: unstable
: all Linux
: P5 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-03 23:56 by
Modified: 2007-04-06 15:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-03 23:56:22
Case 1 (with the error message; case 2 is more important):

I start xine, and push any button on the panel (e.g. volume). 
Xine crashes after that.

More info: after the start, there is an error message \"Keybindings error!\" telling: Key bindings of \'ToggleTVmode\' and \'FileSelector\' are the same. What do you want to do with  current key bindings? I press \'Reset\'.

I made one more test: I chose \'Edit\' in the error message dialogue, and edited the key binding of \'ToggleTVmode\'. After this xine doesn\'t crash anymore.

Case 2 (after the kebindings have been edited):

It still crashes after I start it with a movie file as its argument, and move th pointer onto the graphical panel (e.g. over the CD button).
---
Case 1:

$ xine
This is xine (X11 gui) - a free video player v0.9.18cvs
(c) 2000-2003 by G. Bartsch and the xine project team.
Built with xine library 1.0.0 (1-beta4)
Found xine library version: 1.0.0 (1-beta4).
XServer Vendor: ALT Linux Team (XFree86 4.2.1, patch level alt4). Release: 40201000,
        Protocol Version: 11, Revision: 0,
        Available Screen(s): 1, using 0
        Depth: 16.
        XShmQueryVersion: 1.1.
-[ xiTK version 0.10.1 ]-
-[ xiTK will use XShm ]-
-[ WM type: (GnomeCompliant) Ice ]-
Display is not using Xinerama.
demux_sputext: initializing
main: probing <aadxr3> video output plugin
load_plugins: failed to load video output plugin <aadxr3>
main: probing <dxr3> video output plugin
video_out_dxr3: Entering video init, devname = /dev/em8300-0.
video_out_dxr3: Failed to open control device /dev/em8300-0 (No such file or directory)
load_plugins: failed to load video output plugin <dxr3>
main: probing <xv> video output plugin
video_out_xv: using Xv port 57 from adaptor Matrox G-Series Backend Scaler for hardware colorspace conversion and scaling.
video_out_xv: open_plugin
video_out_xv: port attribute XV_COLORKEY (6) value is 2110
video_out_xv: this adaptor supports the yuy2 format.
video_out_xv: this adaptor supports the yv12 format.
video_out_xv: property #11 = 0
video_out: thread created
main: probing <alsa> audio output plugin
audio_alsa_out : supported modes are 8bit mono stereo (4-channel not enabled in xine config) (5-channel not enabled in xine config) (5.1-channel not enabled in xine config) (a/52 and DTS pass-through not enabled in xine config)
xine: xine_stream_new
xine: xine_stream_new
xine: xine_stream_new
xine: xine_stream_new
video_out_xv: property #2 = 0
video_out_xv: property #5 = 0
video_out_xv: property #3 = 0
video_out_xv: property #4 = 0
demux_mpeg_block:open_plugin:input ID=file count = 1
demux_sputext: open_plugin() called
xine: found input plugin  : file input plugin
xine: found demuxer plugin: Elementary MPEG stream demux plugin
metronom: video discontinuity #1, type is 0, disc_off is 0
metronom: waiting for audio discontinuity #1
metronom: audio discontinuity #1, type is 0, disc_off 0
metronom: waiting for in_discontinuity update #1
metronom: video vpts adjusted with prebuffer to 189644
metronom: audio vpts adjusted with prebuffer to 189656
dxr3_decode_video: dxr3 not present
load_plugins: plugin dxr3-mpeg2 failed to instantiate itself.
Using MMX for IDCT transform
Using MMX for motion compensation
xine: xine_play
xine: xine_play_internal ...done
xiTK received SIGSEGV signal, RIP.
Aborted

Case 2:

$ xine IN/regettable/mus/chemstar.mov 
This is xine (X11 gui) - a free video player v0.9.18cvs
(c) 2000-2003 by G. Bartsch and the xine project team.
Built with xine library 1.0.0 (1-beta4)
Found xine library version: 1.0.0 (1-beta4).
XServer Vendor: ALT Linux Team (XFree86 4.2.1, patch level alt4). Release: 40201000,
        Protocol Version: 11, Revision: 0,
        Available Screen(s): 1, using 0
        Depth: 16.
        XShmQueryVersion: 1.1.
-[ xiTK version 0.10.1 ]-
-[ xiTK will use XShm ]-
-[ WM type: (GnomeCompliant) Ice ]-
Display is not using Xinerama.
demux_sputext: initializing
main: probing <dxr3> video output plugin
video_out_dxr3: Entering video init, devname = /dev/em8300-0.
video_out_dxr3: Failed to open control device /dev/em8300-0 (No such file or directory)
load_plugins: failed to load video output plugin <dxr3>
main: probing <aadxr3> video output plugin
load_plugins: failed to load video output plugin <aadxr3>
main: probing <xv> video output plugin
video_out_xv: using Xv port 57 from adaptor Matrox G-Series Backend Scaler for hardware colorspace conversion and scaling.
video_out_xv: open_plugin
video_out_xv: port attribute XV_COLORKEY (6) value is 2110
video_out_xv: this adaptor supports the yuy2 format.
video_out_xv: this adaptor supports the yv12 format.
video_out_xv: property #11 = 0
video_out: thread created
main: probing <alsa> audio output plugin
audio_alsa_out : supported modes are 8bit mono stereo (4-channel not enabled in xine config) (5-channel not enabled in xine config) (5.1-channel not enabled in xine config) (a/52 and DTS pass-through not enabled in xine config)
xine: xine_stream_new
xine: xine_stream_new
xine: xine_stream_new
xine: xine_stream_new
video_out_xv: property #2 = 0
video_out_xv: property #5 = 0
video_out_xv: property #3 = 0
video_out_xv: property #4 = 0
demux_mpeg_block:open_plugin:input ID=file count = 1
demux_sputext: open_plugin() called
xine: found input plugin  : file input plugin
xine: found demuxer plugin: Elementary MPEG stream demux plugin
metronom: video discontinuity #1, type is 0, disc_off is 0
metronom: waiting for audio discontinuity #1
metronom: audio discontinuity #1, type is 0, disc_off 0
metronom: waiting for in_discontinuity update #1
metronom: video vpts adjusted with prebuffer to 176078
metronom: audio vpts adjusted with prebuffer to 176090
dxr3_decode_video: dxr3 not present
load_plugins: plugin dxr3-mpeg2 failed to instantiate itself.
Using MMX for IDCT transform
Using MMX for motion compensation
xine: xine_play
xine: xine_play_internal ...done
demux_mpeg_block:open_plugin:input ID=file count = 2
demux_sputext: open_plugin() called
xine: found input plugin  : file input plugin
xine: found demuxer plugin: Apple Quicktime (MOV) and MPEG-4 demux plugin
metronom: video discontinuity #2, type is 0, disc_off is 0
metronom: waiting for audio discontinuity #2
metronom: audio discontinuity #2, type is 0, disc_off 0
metronom: waiting for in_discontinuity update #2
metronom: video vpts adjusted with prebuffer to 232777
metronom: audio vpts adjusted with prebuffer to 232789
External func COMCTL32.dll:17
External func COMCTL32.dll:16
wine/module: QuickTime6 DLLs found
wine/module: QuickTime.qts patched!!! old entry=0x6693b330
theQuickTimeDispatcher catched -> 0x6693b330
wine/win32: Win32 Warning: Accessed uninitialized Critical Section (0x66bc4210)!
WARNING! Invalid Ptr handle!
wine/win32: Win32 Warning: Accessed uninitialized Critical Section (0x66bc41f8)!
### FindNext: QuickTimeEssentials.qtx
### FindNext: QuickTimeInternetExtras.qtx
### FindNext: QuickTimeEssentials.qtx
### FindNext: QuickTimeInternetExtras.qtx
### FindNext: QuickTimeEssentials.qtx
### FindNext: QuickTimeInternetExtras.qtx
theQuickTimeDispatcher catched -> 0x6693b330
theQuickTimeDispatcher catched -> 0x6693b330
audio_alsa_out: Audio Device name = default
audio_alsa_out: Number of channels = 2
audio_alsa_out:open pause_resume=1
stream       : PLAYBACK
access       : RW_INTERLEAVED
format       : S16_LE
subformat    : STD
channels     : 2
rate         : 22050
exact rate   : 22050 (22050/1)
msbits       : 16
buffer_size  : 16350
period_size  : 2043
period_time  : 92686
tick_time    : 10000
tstamp_mode  : NONE
period_step  : 1
sleep_min    : 0
avail_min    : 2043
xfer_align   : 1
start_threshold  : 2043
stop_threshold   : 16350
silence_threshold: 0
silence_size : 0
boundary     : 2143027200
start_mode: DATA
xrun_mode: STOP
tstamp_mode: NONE
period_step: 1
sleep_min: 0
avail_min: 2043
xfer_align: 1
silence_threshold: 0
silence_size: 0
boundary: 2143027200
audio_out: output sample rate 22050
audio_out: thread created
xine: xine_play
metronom: video discontinuity #3, type is 2, disc_off is 0
metronom: waiting for audio discontinuity #3
metronom: audio discontinuity #3, type is 2, disc_off 0
metronom: waiting for in_discontinuity update #3
metronom: video vpts adjusted with prebuffer to 321652
metronom: audio vpts adjusted with prebuffer to 321655
audio_out: inserting 5331 0-frames to fill a gap of 21838 pts
xine: xine_play_internal ...done
xiTK received SIGSEGV signal, RIP.
Aborted

---
$ rpm -qa \'*xine*\'
xine-ui-aa-0.9.18-alt0.1.cvs20030130
xinetd-2.3.9-alt6.20021209
xine-ui-0.9.18-alt0.1.cvs20030130
libxine-1.0.0-alt1.beta4

------- Comment #1 From 2003-02-04 00:24:45 -------
Perhaps, this behaviour is specific to the format or the file I play. When I
play an avi with DivX, this doesn\'t happen.

I play: <a
href="http://www.director-file.com/gondry/chemstar.mov">http://www.director-file.com/gondry/chemstar.mov</a>

I have installed codecs-win32-1.0-alt1_011002 and Quicktimne QDM2 support
modules from <a
href="http://www.mplayerhq.hu/MPlayer/releases/codecs/qt6dlls.tar.bz2">http://www.mplayerhq.hu/MPlayer/releases/codecs/qt6dlls.tar.bz2</a>
(actaully, and rpm with them: <a
href="ftp://ftp2.sourceforge.net/pub/sourceforge/suserpm/w32codecs-qt6-1.0-1.noarch.rpm">ftp://ftp2.sourceforge.net/pub/sourceforge/suserpm/w32codecs-qt6-1.0-1.noarch.rpm</a>)

mplayer plays this file, and doesn\'t crash.
------- Comment #2 From 2003-02-04 00:24:45 -------
Perhaps, this behaviour is specific to the format or the file I play. When I
play an avi with DivX, this doesn\'t happen.

I play: <a
href="http://www.director-file.com/gondry/chemstar.mov">http://www.director-file.com/gondry/chemstar.mov</a>

I have installed codecs-win32-1.0-alt1_011002 and Quicktimne QDM2 support
modules from <a
href="http://www.mplayerhq.hu/MPlayer/releases/codecs/qt6dlls.tar.bz2">http://www.mplayerhq.hu/MPlayer/releases/codecs/qt6dlls.tar.bz2</a>
(actaully, and rpm with them: <a
href="ftp://ftp2.sourceforge.net/pub/sourceforge/suserpm/w32codecs-qt6-1.0-1.noarch.rpm">ftp://ftp2.sourceforge.net/pub/sourceforge/suserpm/w32codecs-qt6-1.0-1.noarch.rpm</a>)

mplayer plays this file, and doesn\'t crash.
------- Comment #3 From 2003-02-04 11:28:51 -------
Hm... 
Please, remove ~/.xine/ and test again.
------- Comment #4 From 2003-02-04 11:28:51 -------
Hm... 
Please, remove ~/.xine/ and test again.
------- Comment #5 From 2003-02-17 20:17:19 -------
fixed (xine-current from Sisyphus)
------- Comment #6 From 2003-02-17 20:17:19 -------
fixed (xine-current from Sisyphus)